#include once "inc/iup.bi"

sub _init_ constructor
  IupOpen(0,0)
end sub

sub _exit_ destructor
  IupClose()
end sub

'
' main

dim as IHandle ptr button = IupButton("OK",NULL)
print "ClassName      : " & *button->iclass->name
print "Constructor    : " & *button->iclass->format
print "is_interactive : " & button->iclass->is_interactive
print
print "signature  : " & button->sig
print "Parent     : " & button->parent
print "FirstChild : " & button->firstchild
print "Brother    : " & button->brother


print

dim as IHandle ptr button2 = IupButton("OK",NULL) 
dim as IHandle ptr vbox = IupVBox(button,button2,NULL)

print "Parent       : " & *button->parent->iclass->name
print "Parent.FirstChild : " & *button->parent->firstchild->iclass->name
print "FirstChild   : " & button->firstchild
print "Brother      : " & *button->brother->iclass->name

sleep





